# Generated by Django 2.2.6 on 2020-12-21 20:50

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import foreignform.fields
import kitchensink.models.base
import uuid


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('kitchensink', '0013_form'),
    ]

    operations = [
        migrations.CreateModel(
            name='FormContent',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('title', models.CharField(help_text='A title for this form content', max_length=250, verbose_name='Content title')),
                ('data', foreignform.fields.JSONField(blank=True, null=True)),
                ('version', models.CharField(choices=[('v2', 'v2')], default='v2', help_text='Should be the latest version when created.', max_length=2)),
                ('last_updated', models.DateTimeField(auto_now=True)),
                ('last_published', models.DateTimeField(blank=True, null=True)),
                ('author', models.ManyToManyField(to=settings.AUTH_USER_MODEL)),
                ('form', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='forms', to='kitchensink.Form')),
                ('project', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='forms', to='kitchensink.Project')),
            ],
            bases=(models.Model, kitchensink.models.base.BasePublished),
        ),
    ]
